Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml
Class SbmlModelWriter_12

    java.lang.Object
      biouml.plugins.sbml.SbmlConstants
          biouml.plugins.sbml.SbmlSupport
              biouml.plugins.sbml.SbmlModelWriter
                  biouml.plugins.sbml.SbmlModelWriter_L1
                      biouml.plugins.sbml.SbmlModelWriter_12

public class SbmlModelWriter_12
extends SbmlModelWriter_L1

Field Summary

Fields inherited from class biouml.plugins.sbml.SbmlModelWriter
`compartmentList, document, doProductStub, doReactantStub, speciesListElement`

Fields inherited from class biouml.plugins.sbml.SbmlSupport
`diagram, emodel, log, modelName`

Fields inherited from class biouml.plugins.sbml.SbmlConstants
`ANNOTATION_ELEMENT, ASSIGNEMENT_ELEMENT, ASSIGNEMENT_LIST_ELEMENT, ASSIGNEMENT_VARIABLE_ATTR, BIOUML_COMPARTMENT_INFO_ELEMENT, BIOUML_EDGE_INFO_ELEMENT, BIOUML_NODE_INFO_ELEMENT, BIOUML_SPECIE_INFO_ELEMENT, BIOUML_SPECIE_TYPE_ATTR, BIOUML_XMLNS_ATTR, BIOUML_XMLNS_VALUE, COMPARTMENT_ATTR, COMPARTMENT_DIMENTION_ATTR, COMPARTMENT_ELEMENT, COMPARTMENT_LIST_ELEMENT, COMPARTMENT_OUTSIDE_ATTR, COMPARTMENT_VOLUME_ATTR, CONSTANT_ATTR, DELAY_ELEMENT, DENOMINATOR_ATTR, EVENT_ELEMENT, EVENT_LIST_ELEMENT, FORMULA_ATTR, FUNCTION_DEFINITION_ELEMENT, FUNCTION_LIST_ELEMENT, ID_ATTR, KINETIC_LAW_ELEMENT, MATH_ATTR, MATH_ELEMENT, MODEL_ELEMENT, MODIFIER_LIST_ELEMENT, NAME_ATTR, NOTES_ELEMENT, PARAMETER_ELEMENT, PARAMETER_LIST_ELEMENT, PARAMETER_VALUE_ATTR, PRODUCT_LIST_ELEMENT, PRODUCT_STUB, REACTANT_LIST_ELEMENT, REACTANT_STUB, REACTION_ELEMENT, REACTION_FAST_ATTR, REACTION_LIST_ELEMENT, REACTION_REVERSIBLE_ATTR, RULE_ALGEBRAIC_ELEMENT, RULE_ASSIGNEMENT_ELEMENT, RULE_COMMENT_ATTR, RULE_COMPARTMENT_VOLUME_ELEMENT, RULE_FORMULA_ATTR, RULE_LIST_ELEMENT, RULE_PARAMETER_ELEMENT, RULE_RATE_ELEMENT, RULE_SPECIE_CONCENTRATION_ELEMENT, RULE_VARIABLE_ATTR, SBML_ELEMENT, SBML_LEVEL_ATTR, SBML_LEVEL_VALUE_1, SBML_LEVEL_VALUE_2, SBML_VERSION_ATTR, SBML_VERSION_VALUE_1, SBML_VERSION_VALUE_2, SBML_XMLNS_VALUE, SPECIE_ATTR, SPECIE_ATTR_11, SPECIE_BOUNDARY_CONDITION_ATTR, SPECIE_CHARGE_ATTR, SPECIE_DEFAULT_SUBSTANCE_UNITS, SPECIE_ELEMENT, SPECIE_ELEMENT_11, SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR, SPECIE_INITIAL_AMOUNT_ATTR, SPECIE_INITIAL_CONCENTRATION_ATTR, SPECIE_LIST_ELEMENT, SPECIE_REFERENCE_ELEMENT, SPECIE_REFERENCE_ELEMENT_11, SPECIE_SPATIAL_SIZE_UNITS_ATTR, SPECIE_SUBSTANCE_UNITS_ATTR, STOICHIOMETRY_ATTR, STOICHIOMETRY_MATH_ELEMENT, SUBSTANCE_UNITS_ATTR, TIME_UNITS_ATTR, TRIGGER_ELEMENT, TYPE_ATTR, UNIT_LIST_ELEMENT, UNIT_SUBSTANCE, UNIT_TIME, UNIT_VOLUME, UNITS_ATTR, XMLNS_ATTR`

Constructor Summary
`SbmlModelWriter_12()`

Method Summary
`protected org.w3c.dom.Element` | `createSpecieElement()`
`protected void` | `setVersion(org.w3c.dom.Element sbmlElement)`

Methods inherited from class biouml.plugins.sbml.SbmlModelWriter_L1
`initContext, isValidModel, setId, setLevel, validCompartmentList, validReaction, writeCompartmentList, writeEventList, writeFormula, writeFunctionDefinitionList, writeReactionList, writeRuleList, writeSpecieList, writeStoichiometry, writeUnitList`

Methods inherited from class biouml.plugins.sbml.SbmlModelWriter
`createDOM, fillCompartmentList, parseAsSpecie, writeCompartment, writeDiagram, writeKineticLaw, writeNotes, writeParameter, writeParameterList, writeProducts, writeReactants, writeReaction, writeReactionList, writeSpecie, writeSpecieList, writeSpecieReferences, writeSpecieStub, writeStubReference`

Methods inherited from class biouml.plugins.sbml.SbmlSupport
`error, getElement, parseAsCompartment, parseAsParameter, parseFormula, readXhtml, warn, writeXhtml`

Methods inherited from class biouml.plugins.sbml.SbmlConstants
`DEFAULT_SPATIAL_SIZE_UNITS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbmlModelWriter_12

    public SbmlModelWriter_12()

Method Detail

### createSpecieElement

    protected org.w3c.dom.Element createSpecieElement()

  Overrides:
    `createSpecieElement` in class `SbmlModelWriter_L1`

### setVersion

    protected void setVersion(org.w3c.dom.Element sbmlElement)

  Overrides:
    `setVersion` in class `SbmlModelWriter_L1`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.